/* start variables */
:root{
    --main-color:#10cab7;
    --secondary-color:#2c4755;
    --section-padding:60px;
    --section-background: #f6f6f6;
    --main-duration:0.3s;
}
html{
    scroll-behavior: smooth;
}
/* end variables */
/* start global rules */
*{
    -webkit-box-sizing: border-box;
    -moz-box-sizing: border-box;
    box-sizing: border-box;
}
body{
    font-family: "work sans", sans-serif;
    margin: 0;
}
.container{
    padding-left: 15px;
    padding-right: 15px;
    margin-left: auto;
    margin-right: auto;

}
/* mobile 
 width = full width 
*/
/* @media(max-width:767px){
    .landing .intro-text{
        width: 320px;
    }
} */
/* small */
@media(min-width:768px){
    .container{
        width: 750px;
    }
}
/* medium */
@media(min-width:992px){
    .container{
        width: 970px;
    }
}
/* large */
@media(min-width:1200px){
    .container{
        width: 1170px;
    }
}
/* end global rules */
/* start components */
.special-heading{
    color:#ebeced;
    font-size: 100px;
    text-align: center;
    font-weight: 800;
    letter-spacing: -3px;
    margin: 0;
}
.special-heading + p {
    margin: -30px 0 0;
    font-size: 20px;
    text-align: center;
    color:#797979;
}
@media(max-width:767px){
    .special-heading{
        font-size: 60px;
    }
    .special-heading + p{
        margin-top:-20px;
    }
}
/* end components */
/* start header */
.header{
    padding: 20px;
}
.header .container{
    display: flex;
    justify-content: space-between;
    align-items: center;
}
.header .logo{
    width: 60px;
}
.header .links{
    position: relative;
}
.header .links:hover .icon span:nth-child(2){
    width:100%
}
.header .links .icon{
    width: 30px;
    display: flex;
    flex-wrap: wrap;
    justify-content: flex-end;
}
.header .links .icon span{
    background-color: #333;
    margin-bottom: 5px;
    height: 2px;
}
.header .links .icon span:first-child{
    width:100%
}
.header .links .icon span:nth-child(2){
    width: 60%;
    transition: var(--main-duration, 0.3s);
    -webkit-transition: var(--main-duration, 0.3s);
    -moz-transition: var(--main-duration, 0.3s);
    -ms-transition: var(--main-duration, 0.3s);
    -o-transition: var(--main-duration, 0.3s);
}
.header .links .icon span:last-child{
    width:100%;
    margin-bottom: 0;
}
.header .links ul{
    position: absolute;
    list-style: none;
    margin: 0;
    padding: 0;
    background-color: var(--section-background, #f6f6f6);
    right: 0;
    min-width: 200px;
    top: calc(100% + 15px);
    display: none;
    z-index: 1;
}
.header .links ul::before{
    content: "";
    position: absolute;
    border-width: 10px;
    border-style: solid;
    border-color: transparent transparent #f6f6f6 transparent;
    right: 5px;
    top: -20px;
}
.header .links:hover ul{
    display: block;
}
.header .links ul li a{
    display: block;
    padding: 15px;
    text-orientation: none;
    text-decoration: none;
    color: #333;
    transition: var(--main-duration, 0.3s);
    -webkit-transition: var(--main-duration, 0.3s);
    -moz-transition: var(--main-duration, 0.3s);
    -ms-transition: var(--main-duration, 0.3s);
    -o-transition: var(--main-duration, 0.3s);
    -webkit-text-orientation: none;
}
.header .links ul li a:hover{
    padding-left: 25px;
    color:red
}
.header .links ul li:not(:last-child) a{
    border-bottom: 1px solid #ddd;
}
/* end header */
/* start landing section */
.landing{
    background-image: url(../images/20091130-Teton-Moonlight-bw.jpg);
    background-size: cover;
    height: calc(100vh - 64px);
    position: relative; 
}
.landing .intro-text{
    position: absolute;
    top: 50%;
    left: 50%;
    text-align: center;
    width: 320px;
    max-width: 100%;
    transform: translate(-50%, -50%);
    -webkit-transform: translate(-50%, -50%);
    -moz-transform: translate(-50%, -50%);
    -ms-transform: translate(-50%, -50%);
    -o-transform: translate(-50%, -50%);
}
.landing .intro-text h1{
    margin: 0;
     font-weight: bold;
    font-size: 50px;
    color:var(--main-color, #e91e63); 
}
.landing .intro-text p{
    font-size: 19px;
    line-height: 1.8;
} 
/* end landing section */
/* start features */
 .features{
    padding-top: var(--section-padding, 60px);
    padding-bottom: var(--section-padding, 60px);
    background-color: var(--section-background, #f6f6f6);
}
.features .container{
    display: grid;
    grid-template-columns: repeat(auto-fill, minmax(300px, 1fr));
    gap: 20px;
}
.features .feat{
    padding: 20px;
    text-align: center;
}
.features .feat i{
   color:var(--main-color, orange); 
   width: 30px;
}
.features .feat h3{
    font-weight: 800;
    margin: 30px 0;
}
.features .feat p{
    line-height: 1.8;
    color:#777;
    font-size: 17px;
} 
/* end features */
/* start services */
.services{
    padding-top: var(--section-padding, 60px);
    padding-bottom: var(--section-padding, 60px);
}
.services .services-content{
    display: grid;
    grid-template-columns: repeat(auto-fill, minmax(300px, 1fr));
    gap: 30px;
    margin-top: 100px;
}
.services .services-content .srv{
    display: flex;
    margin-bottom: 40px;
}
@media (max-width:767px) {
    .services .services-content .srv{
        flex-direction: column;
        text-align: center;
    }
}
.services .services-content .srv i{
    color:var(--main-color, orange);
    flex-basis: 60px;
}
.services .services-content .srv .text{
    flex: 1;
}
.services .services-content .srv .text h3{
    margin: 0 0 20px;
}
.services .services-content .srv .text p{
    color:#444;
    font-weight: 300;
    line-height: 1.6;
}
.services .services-content  .image{
    text-align: center;
    position: relative;
}
.services .services-content  .image::before{
    content: "";
    position: absolute;
    background-color: var(--secondary-color, #2c4755);
    width: 100px;
    height: calc(100% + 100px);
    top: -50px;
    right: 0;
    z-index: -1;
}
@media(max-width:1199px){
    .image-column{
        display: none;
    }
}
.services .services-content .image img{
    width: 310px;
    height: 400px;
}
/* end services */
/* start Portfolio  */
.portfolio {
    padding-top: var(--section-padding, 60px);
    padding-bottom: var(--section-padding, 60px);
    background-color: var(--section-background, #f6f6f6);
  }
  .portfolio .portfolio-content {
    display: grid;
    grid-template-columns: repeat(auto-fill, minmax(300px, 1fr));
    grid-gap: 30px;
    margin-top: 80px;
  }
  .portfolio .portfolio-content .card {
    background-color: white;
  }
  .portfolio .portfolio-content .card img {
    max-width: 100%;
  }
  .portfolio .portfolio-content .card .info {
    padding: 20px;
  }
  .portfolio .portfolio-content .card .info h3 {
    margin: 0;
  }
  .portfolio .portfolio-content .card .info p {
    color: #777;
    line-height: 1.6;
    margin-bottom: 0;
  }
/* end Portfolio  */
/* start about */
.about{
    padding-top: var(--section-padding, 60px);
    padding-bottom: calc(var(--section-padding, 60px) + 60px );
}
.about .about-content{
    margin-top: 100px;
    display: flex;
    flex-wrap: wrap;
    justify-content: space-between;
}
@media(max-width:991px){
    .about .about-content{
    flex-direction: column;
    text-align: center;
    }
}
.about .about-content .image{
    position: relative;
    width: 250px;
    height: 375;
}
@media(max-width:991px){
    .about .about-content .image{
        margin: 0 auto 60px;
    }
}
.about .about-content .image img{
    max-width: 100%;
}
.about .about-content .image::before{
    content: "";
    position: absolute;
    background-color: #ebeced;
    width: 100px;
    height: calc(100% + 80px);
    top: -40px;
    z-index: -1;
    left: -20px;

}
.about .about-content .image::after{
    content: "";
    position: absolute;
    width: 120px;
    height: 300px;
    border-left: 60px solid var(--main-color, #10cab7);
    border-bottom: 60px solid var(--main-color, #10cab7);
    z-index: -1;
    right: -150px;
    top: -40px;
}
/* @media(max-width:991px){
    .about .about-content .image::before,
    .about .about-content .image::after{
  display: none;
    }
}   */
 @media(max-width:767px){
    .about .about-content .image::after{
    width: 41px;
    right: -68px;
    height: 300px;
    }
}  
.about .about-content .text{
    flex-basis: calc(100% - 500px);
}
.about .about-content .text p:first-of-type{
    font-weight: bold;
    line-height: 1.6;
    margin-bottom: 50px;
}
.about .about-content .text hr{
    width: 50%;
    display: inline-block;
    border-color: var(--main-color, #10cab7);
}
.about .about-content .text p:last-of-type{
    line-height: 2;
    color: #777;
}
/* end about */
/* start contact  */
.contact{
    padding-top: var(--section-padding, 60px);
    padding-bottom: var(--section-padding, 60px);
    background-color: var(--section-background, #f6f6f6);
}
.contact .info{
    padding-top: var(--section-padding, 60px);
    padding-bottom: var(--section-padding, 60px);
    text-align: center;
}
.contact .info .label{
    font-size: 35px;
    font-weight: 800;
    color: var(--secondary-color, #2c4755);
    letter-spacing: -2px;
    margin-bottom: 15px;
}
.contact .info .link{
    display: block;
    font-size: 35px;
    font-weight: 800;
    color: var(--main-color, #10cab7);
    text-decoration: none;
}
@media(max-width: 767px){
    .contact .info .label,
    .contact .info .link{
        font-size: 25px;
    }
}
.contact .info .social {
    display: flex;
    justify-content: center;
    margin-top: 20px;
    font-size: 18px;
}
.contact .info .social i{
    margin-left: 5px;
    color: var(--secondary-color, #2c4755);
    transition: 0.5s;
}

.contact .info .social i:first-of-type:hover{
    color:red;
    transform: scale(1.5);
    -webkit-transform: scale(1.5);
    -moz-transform: scale(1.5);
    -ms-transform: scale(1.5);
    -o-transform: scale(1.5);
}
 .contact .info .social i:nth-child(2):hover{
    color:blue;
    transform: scale(1.5);
    -webkit-transform: scale(1.5);
    -moz-transform: scale(1.5);
    -ms-transform: scale(1.5);
    -o-transform: scale(1.5);
} 
.contact .info .social i:last-child:hover{
    color:aqua;
    transform: scale(1.5);
    -webkit-transform: scale(1.5);
    -moz-transform: scale(1.5);
    -ms-transform: scale(1.5);
    -o-transform: scale(1.5);
} 
/* end contact  */
/* start footer */
.footer{
    background-color: var(--secondary-color, #2c4755);
    color: white;
    text-align: center;
    padding: 20px 10px 1px;
    /* padding: 30px 10px; */
    font-size: 18px;
}
.footer span{
    font-weight: bold;
    color: var(--main-color, #10cab7);
}
.footer p{
    margin-top: 5px;
    text-align: center;
    font-size: 15px;
    transition: 1.3s;
}
.footer p:hover{
    font-size: 30px;
    color:red;
    font-weight: 800;
}
/* end footer */


